Skip to main content

Clear "System Administration Files" permissions

Overview

About this script

This script improves your privacy on macOS.

These changes use Mac system commands to update your settings.

This script resets permissions for accessing system administration files 1. It enhances system security by restricting application access to critical system files.

This script uses Bash (Shell script) scripting language.

Not Advised

This script should only be used by advanced users. This script is not recommended for daily use as it breaks important functionality. Do not run it without having backups and system snapshots.

Implementation Details
  • Language: bash

  • Required Privileges: Administrative (sudo) access

  • Compatibility: macOS only

  • Reversibility: Some changes may be permanent

Explore Categories

This action belongs to Clear application privacy permissions category. This category provides scripts to reset privacy permissions for a variety of applications on your device, helping you to re-establish control over your personal data. Each script targets a specific permission type – such as camera, microphone, contacts, or accessibility services – enabling you... Read more on category page ▶

Apply now

Choose one of three ways to apply:

  1. Automatically via privacy.sexy: The easiest and safest option.
  2. Manually by downloading: Requires downloading a file.
  3. Manually by copying: Advanced flexibility.

Alternative 1. Apply with Privacy.sexy

privacy.sexy is free and open-source application that lets securely apply this action easily.

Open privacy.sexy

privacy.sexy instructions
  1. Open or download the desktop application
  2. Search for the script name: Clear "System Administration Files" permissions.
  3. Check the script by clicking on the checkbox.
  4. Click on Run button at the bottom of the page.

Alternative 2. Download

Reversible

This script is reversible, you can restore your changes to the initial/default state. The restore/revert methods provided here can help you fix issues.

If something goes wrong, use the Revert script provided above.

  1. Download the script file by clicking on the button below:

    Download script

  2. Run the script file by clicking on it.

Alternative 3. Copy

This is for advanced users. Consider automatically applying or downloading the script for simpler way.

  1. Open Terminal app

  2. Copy the following code:

Code to apply changes
if ! command -v 'tccutil' &> /dev/null; then
echo 'Skipping because "tccutil" is not found.'
else
declare serviceId='SystemPolicySysAdminFiles'
declare reset_output reset_exit_code
{
reset_output=$(tccutil reset "$serviceId" 2>&1)
reset_exit_code=$?
}
if [ $reset_exit_code -eq 0 ]; then
echo "Successfully reset permissions for \"${serviceId}\"."
elif [ $reset_exit_code -eq 70 ]; then
echo "Skipping, service ID \"${serviceId}\" is not supported on your operating system version."
elif [ $reset_exit_code -ne 0 ]; then
>&2 echo "Failed to reset permissions for \"${serviceId}\". Exit code: $reset_exit_code."
if [ -n "$reset_output" ]; then
echo "Output from \`tccutil\`: $reset_output."
fi
fi
fi
  1. Paste the code into terminal.
  2. Press Enter to apply the code.

Some scripts requires restarting your computer to take affect.

Support

This website relies on your support.

Support now

Your donation helps keep the project alive and improves its content ❤️.

Share this page: